import { resolve } from 'path'

export default {
  devServer: {
    port: 8080,
    domain: '',
    https: false,
    ssl: {
      key: '',
      cert: ''
      // ca: ''
    }
  },
  pages: {
    playground: {
      entry: resolve('./src/pages/playground/main.js'),
      title: '@bd/ui Playground'
    }
  },

  imports: {
    vue: '//jscdn.ink/vue/3.2.47/vue.runtime.esm-browser.prod.js',
    'vue-router': '//jscdn.ink/@bytedo/vue-router/4.1.6/vue-router.js',
    fetch: '//jscdn.ink/@bytedo/fetch/2.1.5/next.js',
    '@bytedo/editor': '//jscdn.ink/@bytedo/editor/1.0.0/index.js'
  }
}
